<div class="d-flex justify-content-center align-items-center h-100 w-100">
  <div class="login">
    <div class="login_title">
      <span>Login to your account</span>
    </div>
    <form [formGroup]="loginForm" (submit)="submitForm($event)">
      <div class="login_fields">
        <div class="login_fields__user">
          <div class="icon">
            <img src="https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/user_icon_copy.png">
          </div>
          <input placeholder="Username" formControlName="username" type="text" autocomplete="off" [ngClass]="{ 'is-invalid': submitted && f.username.errors }">
        </div>
        <div class="login_fields__password">
          <div class="icon">
            <img src="https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/lock_icon_copy.png">
          </div>
          <input placeholder="Password" formControlName="password" type="password" [ngClass]="{ 'is-invalid': submitted && f.password.errors }">
        </div>
        <div class="login_fields__submit">
          <input type="submit" value="Log In">
          <div class="sign-up" (click)="register()">
            SIGN UP
          </div>
        </div>
        <span *ngIf="incorrectCredentials" class="incorrect-credentials">{{incorrectCredentials}}</span>
      </div>
    </form>
    <div class="disclaimer">
      <p>Invoice Generator lets you quickly make invoices with our attractive invoice template straight from your web browser.</p>
    </div>
  </div>
</div>

